Page MenuHomePhabricator

[LLVM-C] Add Builder Bindings to Common Memory Intrinsics
ClosedPublic

Authored by CodaFi on Oct 22 2018, 9:55 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

CodaFi created this revision.Oct 22 2018, 9:55 PM
CodaFi retitled this revision from [LLVM-C] Add Builder Bindings to Common Memory Intrinsic to [LLVM-C] Add Builder Bindings to Common Memory Intrinsics.Oct 22 2018, 9:55 PM

LGTM, just needs a test.

CodaFi added a comment.EditedOct 23 2018, 5:48 PM

The infrastructure to test this isn't yet in place. I will merge accessors for MemSetBase and MemTransferBase in a later patch then special-case the echo test to call out to these build functions with those arguments. It's not a particularly attractive plan, but it should work fine.

whitequark accepted this revision.Oct 28 2018, 11:51 PM

LGTM, and I am OK with merging a test later if that is more convenient. This is not a particularly complex change.

This revision is now accepted and ready to land.Oct 28 2018, 11:51 PM
This revision was automatically updated to reflect the committed changes.